Contour extraction doe not consider chosen format

2012-11-14 11:13 PM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee:

Category: GDAL Tools

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15860

Description

In the contour extraction dialog, the chosen format is not taken into account.

It always create shapes!

The -f format option is not specified in the command.

http://www.gdal.org/gdal_contour.html

Associated revisions

Revision 803cbada - 2016-06-21 08:20 PM - Alexander Bruy

[GDALTools] pass output format to gdal_contour (fix #6695)

Revision 6111beea - 2016-06-21 08:21 PM - Alexander Bruy

[GDALTools] pass output format to gdal_contour (fix #6695)

History

#1 - 2012-12-30 10:07 AM - Giovanni Manghi

- Assignee set to Giuseppe Sucameli

#2 - 2012-12-31 01:23 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#3 - 2013-07-12 03:41 PM - Jürgen Fischer

- Assignee deleted (anonymous -)

#4 - 2013-07-12 11:43 PM - Denis Rouzaud

-f format:

create output in a particular format, default is shapefiles.

#5 - 2014-06-28 07:43 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2016-03-21 06:05 AM - Andre Joost

- Target version changed from Future Release - Lower Priority to Future Release - Nice to have
http://www.gdal.org/gdal_contour.html


Just to clarify: The file open dialogue allows different file formats (like DXF), but that just adds the suffix to the target filename. As a result, you get a folder

with extension .dxf (or else), containing the shapefile files.

I would expect that the file open dialogue also adds the -f format part to the gdal_contour commandline. It has to be edited manually by clicking on the

pencil.

BTW the Processing Toolbox module GDAL/OGR Contour has the same bug.

#7 - 2016-03-21 10:41 AM - Denis Rouzaud

- Tag set to easy

#8 - 2016-06-21 11:19 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"803cbada1344773500f337464e9178c45b32f1c6".
